# Implementation of the DSSP approach for secondary structure assignation

Attempt to implement the historic 1983 version of DSSP (Define Secondary Structure of Proteins): Dictionary of protein secondary structure: pattern recognition of hydrogen-bonded and geometrical features. Kabsch W, Sander C, Biopolymers. 1983 222577-2637. PMID: 6667333; UI: 84128824.

## Getting Started

These instructions will get you a copy of the project up and running on your local machine for development and testing purposes. See deployment for notes on how to deploy the project on a live system.

### Prerequisites

You need to have **Python 3** and **Conda** on your machine, as it will be used to deploy the running environnement of DSSP.
This program has been tested for Python 3.7.4.

### Installing

Use conda to create the environment
```
conda env create --file environment.yml
```

Load your environnement

```
conda activate dssp
```

You should be ready to run the program, by calling, for example
```
python3 src/dssp.py data/1est.pdb
```

## Author

* **FOREST Thomas** - *M2BI* - [Univ-Paris-Diderot.fr](https://www.univ-paris-diderot.fr/) - thomas.forest@etu.univ-paris-diderot.fr

## License

This project is licensed under the CeCILL-C License - see [eCILL-B FREE SOFTWARE LICENSE AGREEMENT](http://cecill.info/licences/Licence_CeCILL-B_V1-en.html) for details
